> ## Documentation Index
> Fetch the complete documentation index at: https://docs.standardmetrics.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add share classes

> 
        Add share classes to a company's cap table. Creates new share classes with specified pricing, type, and purchase information.

        **Permissions:**
        - User must be authenticated via OAuth.
        - User must have access to the company.
        - User must have permission to add data to the portco.
    



## OpenAPI

````yaml post /beta/investment/share-classes/add/
openapi: 3.1.0
info:
  title: Standard Metrics Investment Data API
  version: beta
  description: Standard Metrics' investment data API.
servers:
  - url: https://app.standardmetrics.io
security: []
paths:
  /beta/investment/share-classes/add/:
    post:
      tags:
        - cap_table
      summary: Add share classes
      description: |2-

                Add share classes to a company's cap table. Creates new share classes with specified pricing, type, and purchase information.

                **Permissions:**
                - User must be authenticated via OAuth.
                - User must have access to the company.
                - User must have permission to add data to the portco.
            
      operationId: add_share_classes
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddShareClasses'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ShareClassOut'
                title: Response
                type: array
      security:
        - BearerAuth: []
components:
  schemas:
    AddShareClasses:
      description: A list of share classes to add to a company's cap table.
      properties:
        share_classes:
          items:
            $ref: '#/components/schemas/ShareClass'
          title: Share Classes
          type: array
      required:
        - share_classes
      title: AddShareClasses
      type: object
    ShareClassOut:
      description: A share class being returned from our API.
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: The ID of the share class.
          examples:
            - a2Ne
          readOnly: true
          title: Id
        company_id:
          description: The ID of the company this share class belongs to.
          examples:
            - pvYe
          title: Company Id
          type: string
        financing_id:
          description: The ID of the financing round this share class belongs to.
          examples:
            - a2Ne
          title: Financing Id
          type: string
        purchase_type:
          description: Whether the purchase is a primary or secondary transaction.
          enum:
            - primary
            - secondary
          examples:
            - primary
          title: Purchase Type
          type: string
        type:
          description: The type of shares in this share class.
          enum:
            - common
            - preferred
          examples:
            - preferred
          title: Type
          type: string
        name:
          description: The name of the share class.
          examples:
            - Series A
          title: Name
          type: string
        price_per_share:
          $ref: '#/components/schemas/MoneyAmount'
          description: The price per share for this share class.
          examples:
            - currency: USD
              value: '10.00'
        include_in_fair_value:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Whether the share class is included in the fair value calculation.
            Defaults to `True` when the `purchase_type` is `primary`, otherwise
            `False`.
          examples:
            - true
          title: Include In Fair Value
        company_name:
          description: The name of the company this share class belongs to. Output only.
          examples:
            - Acme Corp
          title: Company Name
          type: string
      required:
        - company_id
        - financing_id
        - purchase_type
        - type
        - name
        - price_per_share
        - company_name
      title: ShareClassOut
      type: object
    ShareClass:
      description: A share class within a financing round.
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: The ID of the share class.
          examples:
            - a2Ne
          readOnly: true
          title: Id
        company_id:
          description: The ID of the company this share class belongs to.
          examples:
            - pvYe
          title: Company Id
          type: string
        financing_id:
          description: The ID of the financing round this share class belongs to.
          examples:
            - a2Ne
          title: Financing Id
          type: string
        purchase_type:
          description: Whether the purchase is a primary or secondary transaction.
          enum:
            - primary
            - secondary
          examples:
            - primary
          title: Purchase Type
          type: string
        type:
          description: The type of shares in this share class.
          enum:
            - common
            - preferred
          examples:
            - preferred
          title: Type
          type: string
        name:
          description: The name of the share class.
          examples:
            - Series A
          title: Name
          type: string
        price_per_share:
          $ref: '#/components/schemas/MoneyAmount'
          description: The price per share for this share class.
          examples:
            - currency: USD
              value: '10.00'
        include_in_fair_value:
          anyOf:
            - type: boolean
            - type: 'null'
          description: >-
            Whether the share class is included in the fair value calculation.
            Defaults to `True` when the `purchase_type` is `primary`, otherwise
            `False`.
          examples:
            - true
          title: Include In Fair Value
      required:
        - company_id
        - financing_id
        - purchase_type
        - type
        - name
        - price_per_share
      title: ShareClass
      type: object
    MoneyAmount:
      description: A monetary amount.
      properties:
        value:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The value of the amount for the source currency.
          examples:
            - '1000000'
          title: Value
        converted_value:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The value of the amount converted to your firm's preferred currency.
          examples:
            - '1000000'
          readOnly: true
          title: Converted Value
        currency:
          anyOf:
            - $ref: '#/components/schemas/CurrencyCode'
            - type: 'null'
          description: The currency of the amount.
          examples:
            - USD
        converted_currency:
          anyOf:
            - $ref: '#/components/schemas/CurrencyCode'
            - type: 'null'
          description: >-
            The currency of the converted amount. Your firm's preferred
            currency.
          examples:
            - USD
          readOnly: true
        fx_rate:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The FX rate between the source currency and the converted currency.
          examples:
            - '1.0'
          title: Fx Rate
        is_custom_rate:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Whether the FX rate is a custom rate.
          examples:
            - false
          readOnly: true
          title: Is Custom Rate
      required:
        - value
        - currency
      title: MoneyAmount
      type: object
    CurrencyCode:
      description: Supported currency codes.
      enum:
        - AED
        - AUD
        - BDT
        - BRL
        - CAD
        - CHF
        - CNY
        - COP
        - CZK
        - DKK
        - EUR
        - GBP
        - GHS
        - HKD
        - IDR
        - ILS
        - INR
        - JPY
        - JOD
        - KES
        - KRW
        - MXN
        - NGN
        - NOK
        - NZD
        - PEN
        - PHP
        - SAR
        - SGD
        - USD
        - PKR
        - THB
        - TRY
        - TWD
        - TZS
        - VND
        - SEK
        - ISK
        - ZAR
      title: CurrencyCode
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````